=== debian/changelog ===
tempest (1:13.0.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/do-not-use-git-when-building-doc.patch: Dropped. No longer needed.
  * d/control: Add python3-pep8 to BDs.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 07 Nov 2016 14:20:47 -0500
