=== debian/changelog ===
tempest (1:14.0.0-0ubuntu2) zesty; urgency=medium

  * debian/rules: Use dh_install --fail-missing so we can detect changes
    better. 
  * Remove run-tempest-stress from alternatives

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 24 Jan 2017 10:10:00 -0500

tempest (1:14.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release. 
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 23 Jan 2017 14:14:27 -0500

tempest (1:13.0.0-0ubuntu2) zesty; urgency=medium

  * debian/{python-tempest.postinst, python-tempest.postrm,
    python-tempest.prerm, python3-tempest.postinst,
    python3-tempest.postrm, python3-tempest.prerm}: Remove 
    tempest-cleanup binary since it is no longer installed. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 08 Nov 2016 09:34:39 -0500
