=== debian/control ===
--- 
+++ 
@@ -16,68 +16,71 @@
                python3-pbr (>= 1.8),
                python3-setuptools,
 Build-Depends-Indep: git,
-                     python-cliff (>= 2.2.0),
-                     python-coverage,
+                     python-cliff (>= 2.3.0),
+                     python-coverage (>= 4.0),
                      python-debtcollector (>= 1.2.0),
                      python-fixtures (>= 3.0.0),
-                     python-hacking,
-                     python-jsonschema,
+                     python-hacking (>= 0.12.0),
+                     python-jsonschema (>= 2.0.0),
                      python-mock (>= 2.0),
                      python-mysqldb,
                      python-netaddr (>= 0.7.13),
                      python-os-testr (>= 0.8.0),
                      python-oslo.concurrency (>= 3.8.0),
                      python-oslo.config (>= 1:3.14.0),
-                     python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 3.11.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.utils (>= 3.16.0),
+                     python-oslo.utils (>= 3.18.0),
                      python-oslosphinx (>= 4.7.0),
-                     python-oslotest (>= 1:1.10.0),
+                     python-oslotest (>= 1.10.0),
                      python-paramiko (>= 2.0),
                      python-pep8,
                      python-prettytable (>= 0.7.1),
                      python-psycopg2,
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.16.0),
+                     python-sphinx (>= 1.2.1),
+                     python-stevedore (>= 1.17.1),
                      python-swiftclient,
+                     python-testrepository (>= 0.0.18),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python-unittest2,
                      python-urllib3 (>= 1.15.1),
                      python-yaml (>= 3.10.0),
-                     python3-cliff (>= 2.2.0),
-                     python3-coverage,
+                     python3-cliff (>= 2.3.0),
+                     python3-coverage (>= 4.0),
                      python3-debtcollector (>= 1.2.0),
                      python3-fixtures (>= 3.0.0),
-                     python3-hacking,
-                     python3-jsonschema,
+                     python3-hacking (>= 0.12.0),
+                     python3-jsonschema (>= 2.0.0),
                      python3-mock (>= 2.0),
                      python3-mysqldb,
                      python3-netaddr (>= 0.7.13),
                      python3-os-testr (>= 0.8.0),
                      python3-oslo.concurrency (>= 3.8.0),
                      python3-oslo.config (>= 1:3.14.0),
-                     python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.log (>= 3.11.0),
                      python3-oslo.serialization (>= 1.10.0),
-                     python3-oslo.utils (>= 3.16.0),
-                     python3-oslotest (>= 1:1.10.0),
+                     python3-oslo.utils (>= 3.18.0),
+                     python3-oslosphinx (>= 4.7.0),
+                     python3-oslotest (>= 1.10.0),
                      python3-paramiko (>= 2.0),
                      python3-pep8,
                      python3-prettytable (>= 0.7.1),
                      python3-psycopg2,
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.16.0),
+                     python3-sphinx (>= 1.2.1),
+                     python3-stevedore (>= 1.17.1),
                      python3-subunit,
                      python3-swiftclient,
+                     python3-testrepository (>= 0.0.18),
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      python3-unittest2,
                      python3-urllib3 (>= 1.15.1),
                      python3-yaml (>= 3.10.0),
                      subunit,
-                     testrepository,
+                     testrepository
 Standards-Version: 3.9.8
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/tempest
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/tempest
@@ -91,19 +94,18 @@
         tempest (<< 1:12.0.0-2~),
 Provides: python-tempest-lib,
 Depends: python-cliff (>= 2.2.0),
+         python-ddt,
          python-debtcollector (>= 1.2.0),
-         python-ddt,
          python-fixtures (>= 3.0.0),
          python-jsonschema,
          python-netaddr (>= 0.7.13),
          python-os-testr (>= 0.8.0),
          python-oslo.concurrency (>= 3.8.0),
          python-oslo.config (>= 1:3.14.0),
-         python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 3.11.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.utils (>= 3.16.0),
-         python-oslotest,
+         python-oslotest (>= 1:1.10.0),
          python-paramiko (>= 2.0),
          python-pbr (>= 1.8),
          python-prettytable (>= 0.7.1),
@@ -111,6 +113,7 @@
          python-stevedore (>= 1.16.0),
          python-subunit,
          python-swiftclient,
+         python-testrepository (>= 0.0.18),
          python-testscenarios,
          python-testtools (>= 1.4.0),
          python-unittest2,
@@ -118,7 +121,7 @@
          python-yaml (>= 3.10.0),
          testrepository,
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: OpenStack Integration Test Suite - Python 2.7
  Tempest is a set of integration tests to be run against a live Openstack
  cluster in order to make sure that all components are working as expected.
@@ -133,19 +136,18 @@
 Breaks: python3-tempest-lib,
 Provides: python3-tempest-lib,
 Depends: python3-cliff (>= 2.2.0),
+         python3-ddt,
          python3-debtcollector (>= 1.2.0),
-         python3-ddt,
          python3-fixtures (>= 3.0.0),
          python3-jsonschema,
          python3-netaddr (>= 0.7.13),
          python3-os-testr (>= 0.8.0),
          python3-oslo.concurrency (>= 3.8.0),
          python3-oslo.config (>= 1:3.14.0),
-         python3-oslo.i18n (>= 2.1.0),
          python3-oslo.log (>= 3.11.0),
          python3-oslo.serialization (>= 1.10.0),
          python3-oslo.utils (>= 3.16.0),
-         python3-oslotest,
+         python3-oslotest (>= 1:1.10.0),
          python3-paramiko (>= 2.0),
          python3-pbr (>= 1.8),
          python3-prettytable (>= 0.7.1),
@@ -153,6 +155,7 @@
          python3-stevedore (>= 1.16.0),
          python3-subunit,
          python3-swiftclient,
+         python3-testrepository (>= 0.0.18),
          python3-testscenarios,
          python3-testtools (>= 1.4.0),
          python3-unittest2,
@@ -161,7 +164,7 @@
          subunit,
          testrepository,
          ${misc:Depends},
-         ${python3:Depends},
+         ${python3:Depends}
 Description: OpenStack Integration Test Suite - Python 3.x
  Tempest is a set of integration tests to be run against a live Openstack
  cluster in order to make sure that all components are working as expected.
@@ -174,7 +177,7 @@
 Architecture: all
 Depends: python-tempest (= ${binary:Version}) | python3-tempest (= ${binary:Version}) | ,
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: OpenStack Integration Test Suite
  Tempest is a set of integration tests to be run against a live Openstack
  cluster in order to make sure that all components are working as expected.
