## tempest 15.0.0

=== debian/changelog ===
tempest (1:15.0.0-6) unstable; urgency=medium

  * Fix api-v2-admin-config

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 29 Nov 2017 18:02:33 +0100

tempest (1:15.0.0-5) unstable; urgency=medium

  * Add patch fix api-v2-admin-config

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 06 Nov 2017 13:11:23 +0200

tempest (1:15.0.0-4) unstable; urgency=medium

  * Delete samples from tempest package, python-packages already providing

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 24 Oct 2017 09:55:33 +0200

tempest (1:15.0.0-3) unstable; urgency=medium

  * Fix preinstss

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 23 Oct 2017 22:14:33 +0200

tempest (1:15.0.0-2) unstable; urgency=medium

  * Remove javelin2 update-alternative from postinst script

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 19 Oct 2017 17:50:53 +0200

tempest (1:15.0.0-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 19 Oct 2017 13:38:53 +0200
