=== debian/rules ===
--- 
+++ 
@@ -11,18 +11,14 @@
 override_dh_auto_clean:
 	dh_auto_clean -O--buildsystem=python_distutils
 	rm -f .testrepository
+	rm -rf build
+	rm -f AUTHORS
+	rm -f ChangeLog
+	rm -f tempest.log
+	rm -f doc/source/_static/tempest.conf.sample
 
 override_dh_auto_install:
-	dh_install --fail-missing
-
-	# These aren't automatically install: do it by hand
-	mkdir -p $(CURDIR)/debian/tempest/usr/lib/python2.7/dist-packages/tempest/api/orchestration/stacks/templates
-	cp tempest/api/orchestration/stacks/templates/*.yaml $(CURDIR)/debian/tempest/usr/lib/python2.7/dist-packages/tempest/api/orchestration/stacks/templates
-	cp tempest/api/orchestration/stacks/templates/*.json $(CURDIR)/debian/tempest/usr/lib/python2.7/dist-packages/tempest/api/orchestration/stacks/templates
-
-	mkdir -p $(CURDIR)/debian/tempest/usr/lib/python3/dist-packages/tempest/api/orchestration/stacks/templates
-	cp tempest/api/orchestration/stacks/templates/*.yaml $(CURDIR)/debian/tempest/usr/lib/python3/dist-packages/tempest/api/orchestration/stacks/templates
-	cp tempest/api/orchestration/stacks/templates/*.json $(CURDIR)/debian/tempest/usr/lib/python3/dist-packages/tempest/api/orchestration/stacks/templates
+	pkgos-dh_auto_install
 
 	# Cleanups
 	rm -rf $(CURDIR)/debian/python*/usr/etc
