## tempest 16.0.0

=== debian/changelog ===
tempest (1:16.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:21:57 +0100

tempest (1:15.0.0-0ubuntu2) zesty; urgency=medium

  * debian/rules: Remove the samples by hand since it
    gets installed in the proper places. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Feb 2017 16:42:22 -0500

tempest (1:15.0.0-0ubuntu1) zesty; urgency=medium

  * d/watch: Point to tarballs.openstack.org 
  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Feb 2017 11:35:27 -0500

tempest (1:14.0.0-0ubuntu4) zesty; urgency=medium

  * debian/control: Drop python hacking. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 03 Feb 2017 12:43:20 -0500

tempest (1:14.0.0-0ubuntu3) zesty; urgency=medium

  * debian/rules: Really fix package installation. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 24 Jan 2017 14:02:28 -0500
